# SignatoryProvider

interface SignatoryProvider<T : Signatory?>

Provides implementations of signatory implementations for a project.

#### Parameters

<T>

The specific Signatory subtype

## Functions

configure
Link copied to clipboard
abstract fun configure(settings: SigningExtension, closure: Closure)
Evaluates the given DSL-containing-closure as signatory configuration.
getDefaultSignatory
Link copied to clipboard
abstract fun getDefaultSignatory(project: Project): T
Attempts to create a signatory for the project that will be used everywhere something is to be signed and an explicit signatory has not been set (for the task/operation).
getSignatory
Link copied to clipboard
abstract fun getSignatory(name: String): T
Retrieves the signatory with the given name.